@ECHO OFF
REM SBMIDI
:LOOP
CLS
ECHO PRESS F1 to Display Sector 01 Names & Landmarks 3D Map
ECHO PRESS F2 to Display latest news from Eltalin Base
ECHO PRESS F3 to Display all MARS ELITE GIFs
ECHO PRESS F4 to QUIT  
PLANY SERVICE.WAV    
:GET_KEY
F1TOF10
IF ERRORLEVEL 63 GOTO GET_KEY
IF ERRORLEVEL 62 GOTO DONE
IF ERRORLEVEL 61 IF NOT ERRORLEVEL 62 GOTO ALLGIFS
IF ERRORLEVEL 60 IF NOT ERRORLEVEL 61 GOTO NEWS
IF ERRORLEVEL 59 IF NOT ERRORLEVEL 60 GOTO ELMAP


:ALLGIFS
CALL PICEM *.GIF

GOTO LOOP

:ELMAP

rem This was the original:CALL PLAYMIDI SHADOW /Q /S:SUB1   
rem using quotes below
rem using quotes lets you put long stings of dos commands together..."


CALL PLAYMIDI SHADOW /Q /S:"OLDVPLAY SERVIC1.VOC /Q /S=SUB4"    

rem plays shadow and shells to playing servic1.voc which  shells to SUB4
rem SUB4 attempted to display a picture with PICEM, unfortunately, their
rem is not enough memory to have a MID playing, a VOC playing, and PICEM
running.

GOTO LOOP

:NEWS

CALL PLAYMIDI JAZZ /Q /S:SUB2A

REM here plays jazz and shells to: SUB2A which says:
rem ..@ ECHO OFF
rem ..oldvplay servic1.voc /q /s="CONST1 /fad /W10"
rem ..plays voc & display self-extracting CONST1.EXE
rem ..does not utilize picem and has nice fad effect

rem a secondary bat file is need (sub2a) because playmidi will not allow
rem compound "" within a statement.  Only one set is allowed
rem Examples:
rem CALL PLAYMIDI JAZZ /Q /S:"OLDVPLAY SERVIC1.VOC /Q /S=BAT4"
rem ..above works fine, plays mid, shells to play voc, and shells to ext. BAT
rem CALL PLAYMIDI JAZZ /Q /S:"OLDVPLAY SERVIC1.VOC /Q /s="CONST1 /fad /W10""  
rem ..above here will not work, if we attempt to combine BAT4 on the command
rem ..line.

@ECHO [PRESS ESC KEY TO EXIT BACK TO MENU]
rem the line above is needed to stop playing the mid and return to menu. 



GOTO LOOP

:DONE
CLS
PLANY START.WAV
REM SBMIDI /U
CLS
